$! This is WOPR's build command procedure for OpenVMS.
$!
$! WOPR's multi-threaded server works just fine on OpenVMS.
$!
$ CXX/PREFIX=ALL/DEBUG=ALL WOPR.CPP
$ CXX/PREFIX=ALL/DEBUG=ALL WOPREXCEPT.CPP
$ CXX/PREFIX=ALL/DEBUG=ALL MAIN.CPP
$ CXX/PREFIX=ALL/DEBUG=ALL SSL-THREAD.CPP
$ CXXLINK/THREADS_ENABLE/MAP WOPR,WOPREXCEPT,SSL-THREAD,MAIN,SSL_LINKER/OPTIONS
$!
$! WOPR's terminal doesn't work on OpenVMS
$! because it is using select() on file handles
$! but OpenVMS' select() works on sockets only.
$!
$! CXX/PREFIX=ALL/DEBUG=ALL TERMINAL.CPP
$! CXXLINK/MAP TERMINAL,SSL_LINKER/OPTIONS
$!
$! Create a sample self-signed certificate.
$!
$ openssl req -new -newkey rsa:1024 -out servercsr.pem -nodes -keyout private.key -days 365 -subj "/C=US/ST=Colorado/L=Cheyenne Mountain/O=USAF/OU=NORAD/CN=wopr.norad.mil"
$ openssl x509 -req -in servercsr.pem -out servercert.pem -signkey private.key -days 365
